Subject: bug#54691: [PATCH 2/5] gnu: Add fortunes-jkirchartz.

From: [email-masked]
Date: Sun, 24 Jul 2022 03:09:39 +0200

Hi,

On +2022-07-23 22:53:59 +0200, Liliana Marie Prikler wrote:
> Am Samstag, dem 23.07.2022 um 21:56 +0200 schrieb Maxime Devos:
> > On 23-07-2022 17:11, Liliana Marie Prikler wrote:
> > 
> > > +         (revision "2022.05.23"))        ; Use a date rather than a
> > > number
> > 
> > This is a technically a possibility, but currently the convention is
> > to use numbers and the number convention is expected by (guix
> > upstream) and the (not yet merged, needs some finishing touches IIRC)
> > latest-git updater, and AFAIK there hasn't been any discussion on
> > switching to dates.
> In this case I am departing from the usual convention because I think
> calendar versioning is more useful for this type of content.  Given the
> issue that lead to this patch at all, I'm not sure if support for
> automatic updates would be a good idea with this package.  IMHO, it's a
> feature rather than a bug that you can't accidentally pull a third of
> BSD's offensive database, were it to ever land in this repo.
> 
> Should I explain this thought more clearly in the package or do
> automatic updates trump ethical concerns?
> 
> 
> 

I like the YYYY.MM.DD format to tag data with a version
cookie, but I sometimes (not often) wind up with more than
one version in a day, so I like to allow at least an optional
single lower case [a-z] suffix, e.g., (revision "2022.05.23b")

just 2¢ :)
--
Regards,
Bengt Richter